2008-06-30  Marek Safar  <marek.safar@gmail.com>

	* platforms/linux.make: Enable mcs optimizations.

2008-06-03  Zoltan Varga  <vargaz@gmail.com>

	* rules.make (PROFILE): Reapply the PROFILE=net_2_0 change. One can still
	build 1.1 libraries using make PROFILE=default.

2008-05-27  Raja R Harinath  <harinath@hurrynot.org>

	* executable.make ($(PROGRAM_config)): Depend on directory
	creation stamp.

2008-04-09  Gert Driesen  <drieseng@users.sourceforge.net>

	* library.make: hidden -bootstrap option for gacutil is no longer
	necessary.

2008-03-24  Zoltan Varga  <vargaz@gmail.com>

	* library.make (check): Add a standard check target and make it the same as
	run-test.

2008-03-22  Zoltan Varga  <vargaz@gmail.com>

	* profiles/net_3_5.make (PROFILE_MCS_FLAGS): Get rid of obsolete 
	-langversion:linq option.

Fri Mar 14 09:31:59 CET 2008 Paolo Molaro <lupus@ximian.com>

	* rules.make, library.make: move GACUTIL definition into rules.make as
	it's used also by the tools. Add the hidden -bootstrap option.

2008-02-18  Raja R Harinath  <harinath@hurrynot.org>

	* rules.make (%/.stamp): Unify all directory creation targets here.

2008-02-17  Raja R Harinath  <harinath@hurrynot.org>

	* profiles/net_2_1_bootstrap.make: New.
	* profiles/net_2_1_raw.make: New.  The untuned 2.1 profile.
	* profiles/net_2_1.make: New.  The tuned 2.1 profile.
	* Makefile (PROFILES): Update.

2007-12-06  Atsushi Enomoto  <atsushi@ximian.com>

	* profiles/net_3_5.make : fixed net_2_0 path.

2007-12-03  Marek Safar  <marek.safar@gmail.com>

	* Makefile.make: Distribute 3.5 profile
	
2007-11-08  Wade Berrier  <wberrier@novell.com>

	* config-default.make: add sysconfdir dir (for mconfig/config.xml)

2007-11-01  Marek Safar  <marek.safar@gmail.com>

	* corcompare.make: Build corcompare into same directory.
	
2007-10-27  Marek Safar  <marek.safar@gmail.com>

	* profiles/net_2_0_bootstrap.make: Fixed generics compiler name.
	
2007-10-27  Marek Safar  <marek.safar@gmail.com>

	* rules.make: Changed gmcs location.
	
2007-10-27  Marek Safar  <marek.safar@gmail.com>

	* executable.make: Added KEEP_OUTPUT_FILE_COPY to avoid move and copy
	back compiler executables.

2007-09-21  Raja R Harinath  <harinath@gmail.com>

	* Makefile (PROFILES): Remove 'atomic' profiles.
	* profiles/atomic.make, profiles/bootstrap.make: Remove.

2007-09-04  Wade Berrier  <wberrier@novell.com>

	* library.make: Glob for .sources for all profiles.
	Use tools/removecomments.sh to account for '#include' and
	comments, which are only used in the jvm profile at this point

2007-09-01  Jb Evain  <jbevain@novell.com>

	* Makefile: consider the net_2_1 profile.

2007-08-12  Marek Safar  <marek.safar@gmail.com>

	* library.make: Includes new `corcompare' target.
	
	* corcompare.make: I got tired of hacking corcompare stuff again and
	again.
	
2007-08-11  Jb Evain  <jbevain@novell.com>

	* profiles/net_2_1: allow 2.1 assemblies in the GAC.

2007-07-27  Jb Evain  <jbevain@novell.com>

	* profiles/net_2_1: use smcs to compile the .net 2.1 assemblies.

2007-07-23  Raja R Harinath  <rharinath@novell.com>

	* library.make (install-local) [GAC]: If LIBRARY_PACKAGE is set to
	'none' don't install a symlink from a package directory into the gac.

2007-07-11  Jb Evain  <jbevain@novell.com>

	* profiles/net_2_1.make: work on the 2_1 profile.

2007-06-12  Marek Safar  <marek.safar@gmail.com>

	* rules.make: Added FRAMEWORK_VERSION_MAJOR.

2007-05-11  Raja R Harinath  <rharinath@novell.com>

	* Makefile (dist-local): Remove special-case code.
	* rules.make ($(depsdir)): New rule to create the dependencies
	directory on demand.
	* library.make, executable.make: Make generated files depend on
	$(depsdir).
	* profiles/basic.make: Likewise.

	* profiles/net_2_0_bootstrap.make: Move rules for mcs.exe to
	mcs/Makefile.
	* library.make (the_libdir, build_libdir): New.  Create these
	directories on demand instead of worrying about keeping the list
	of profiles uptodate.
	* executable.make (prog_dir): Likewise.

2007-03-17  Marek Sieradzki  <marek.sieradzki@gmail.com>

	* library.make: Show correct log (TestResult-ondotnet-PROFILE...) for
	make run-test-ondotnet.

Fri Nov 24 18:38:31 CET 2006 Paolo Molaro <lupus@ximian.com>

	* library.make: added ability to pass flags to the mono runtime when
	running the test suite.

2006-09-06  Kornél Pál  <kornelpal@gmail.com>

	* TestConfiguration.cs: Moved to Npgsql.

2006-09-05  Kornél Pál  <kornelpal@hotmail.com>

	* config-default.make: Use UTF-8 as the default encoding for compilers.

2006-09-04  Raja R Harinath  <rharinath@novell.com>

	* library.make (TEST_HARNESS_VERBOSE): New user toggle.  If
	defined, NUnit will print the names of the unit tests as they are
	run.  Can be used to narrow down infloops.
	(TEST_HARNESS_EXCLUDE): Provide a way to override the list of
	excluded unit test categories.

2006-04-11  Raja R Harinath  <rharinath@novell.com>

	* profiles/default.make (BOOTSTRAP_PROFILE): Define.
	* profiles/net_2_0.make (BOOTSTRAP_PROFILE): Define.
	* rules.make (INTERNAL_RESGEN): Pick from bootstrap profile.

2006-01-19  Raja R Harinath  <rharinath@novell.com>

	* library.make (test_lib): Don't allow to be overridden.
	(test_against, test_dep): Remove.

2006-01-11 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* executable.make: allow installing a different .config file for
	executables such as nunit-console.exe that should use a different one
	depending on the profile.

2006-01-05  Raja R Harinath  <rharinath@novell.com>

	* library.make (run-test-lib, run-test-ondotnet-lib): Workaround a
	sed limitation when printing the testsuite log.

2005-12-22  Raja R Harinath  <rharinath@novell.com>

	* library.make (lib_dir): Define to 'compat' if LIBRARY_COMPAT is
	defined, 'lib' otherwise.
	(the_lib): Use it to decide where to place the output library.
	(LIBRARY_PACKAGE): New define.  Install development symlinks for
	compat libraries in a different directory.

2005-12-03  Kornél Pál  <kornelpal@hotmail.com>

	* config-default.make: Corrected default CODEPAGE comment to ISO-8859-1
	  (Latin 1).

2005-11-22  Vladislav Spivak <spivak@mainsoft.com>
	* Missed dependency. 
	<profile>.sources file is supporting #include directive
	Usually it includes common .sources file.
	Let's make it dependency of <profile>.sources

2005-10-03  Raja R Harinath  <rharinath@novell.com>

	* profiles/basic.make (monolite_flag, use_monolite): New.  Used to
	determine if we need to compile with 'monolite' rather than with
	an external mcs.
	(do-profile-check): Simplify.  Remove corlib version testing
	scripts.  Delegate that work to the mono runtime itself.  Split
	off 'monolite' handling into ...
	(do-profile-check-monolite): ... this.

2005-09-27  Kornél Pál  <kornelpal@hotmail.com>

	* config-default.make: Added CODEPAGE that is the default encoding used by
	  compilers.
	* rules.make (USE_MCS_FLAGS, USE_MBAS_FLAGS): Added /codepage.

2005-09-22  Raja R Harinath  <rharinath@novell.com>

	* Makefile (BUILT_FILES): New.
	(all-local ...): Depend on them.
	(clean-local): Relete them.
	(common/Consts.cs): New rule.
	(COMMON_SRCS): Don't distribute common/Consts.cs.

2005-09-12  Raja R Harinath  <rharinath@novell.com>

	* profiles/basic.make (do-profile-check): Quote sed expression.

2005-09-06  Raja R Harinath  <rharinath@novell.com>

	* profiles/net_1_1_bootstrap.make: Remove special-handling on Win32.
	* profiles/default.make: Likewise.

2005-08-26  Kornél Pál  <kornelpal@hotmail.com>

	* Makefile: Added Consts.cs.in. Removed MonoVersion.cs.

2005-08-23  Raja R Harinath  <rharinath@novell.com>

	* profiles/basic.make (do-profile-check): Set MONO_PATH to
	monolite directory when running disassembler.

2005-08-22  Raja R Harinath  <rharinath@novell.com>

	* Makefile (DISTFILES): Move files in common/ to ...
	(COMMON_SRCS): ... this.  Add Consts.cs, MonoVersion.cs and
	TestConfiguration.cs.

2005-08-19  Raja R Harinath  <rharinath@novell.com>

	* profiles/basic.make (do-profile-check): Add some debugging output.
	Handle disassemblers that print corlib version in hex.

2005-07-26  Raja R Harinath  <rharinath@novell.com>

	* executable.make, library.make: Use unix-style commandline options.
	* profiles/basic.make (FRAMEWORK_VERSION): Set.
	* profiles/net_1_1_bootstrap.make (FRAMEWORK_VERSION): Likewise.

2005-07-22  Raja R Harinath  <rharinath@novell.com>

	* profiles/basic.make (do-profile-check): Make the "silent"
	compilation check even more silent.  Refuse to use monolite if the
	corlib version of monolite/mscorlib.dll doesn't match the corlib
	version of the source.

2005-06-15  Raja R Harinath  <rharinath@novell.com>

	* executable.make (dist-local): Copy from library.make.

2005-05-23  Raja R Harinath  <rharinath@novell.com>

	* rules.make (STD_TARGETS): Make them all go through an
	indirection.
	(all): Indirect through do-all.
	(all.real): Remove.
	(do-%): New pattern fallback.  Performs the standard behaviour:
	%-recursive, and then %-local.
	(do-run-test): New.  Make '-k' more useful.
	Reported by Ritvik Mayank.

2005-05-10  Raja R Harinath  <rharinath@novell.com>

	* library.make (dist-fixup): Fix typo.

2005-05-06  Raja R Harinath  <rharinath@novell.com>

	* library.make (LIBRARY_NEEDS_PREPROCESSING): New control.
	(build_lib): Name of library built.  Default to $(the_lib) unless
	preprocessing.
	($(build_lib)): Rename from '$(the_lib)'.
	($(makefrag)): Emit dependencies on $(build_lib).

2005-05-04  Zoltan Varga  <vargaz@freemail.hu>

	* rules.make config-default.make: Use the install-sh script from the mono
	directory by default.

2005-04-29  Ben Maurer  <bmaurer@ximian.com>

	* profiles/basic.make: The test for mcs was broken on jails where
	we got a warning due to /proc not being mounted. Remove hackish wc
	usage.

2005-04-25  Raja R Harinath  <rharinath@novell.com>

	* config-default.make (RUNTIME): Set to 'false'.
	Reported by Ben Maurer.
	* profiles/basic.make (MCS): Revert changes below.
	* platforms/linux.make (ILDISASM): Define.
	* platforms/win32.make (ILDIsASM): Likewise.

2005-04-23  Ben Maurer  <bmaurer@ximian.com>

	* profiles/basic.make: Ensure that make dist works even if you
	only have an old mono rpm installed. Essential for the new build
	system.

2005-04-21  Raja R Harinath  <rharinath@novell.com>

	* rules.make (INTERNAL_ILASM): Update.

2005-04-14  Raja R Harinath  <rharinath@novell.com>

	* library.make (dist-local): Include all ChangeLogs in the tarball.

2005-04-08  Raja R Harinath  <rharinath@novell.com>

	* profiles/basic.make (do-profile-check): Handle some possible
	timestamp problems.  Hopefully fix #74280.

2005-03-30  Zoltan Varga  <vargaz@freemail.hu>

	* rules.make (INSTALL_DATA): Pass -c to install.

2005-03-18  Raja R Harinath  <rharinath@novell.com>

	* library.make (TEST_FILES, $(test_response), $(btest_response)):
	Be more robust to empty lines in test sources file.

2005-03-14  Raja R Harinath  <rharinath@novell.com>

	* executable.make (install-local): Depend on all-local even when
	NO_INSTALL is defined.
	* library.make: Minor cleanups to match executable.make.
	(gacutil): Use net_1_1_bootstrap/gacutil.exe.
	* profiles/basic.make (no-install): Remove.
	* profiles/net_1_1_bootstrap.make (no-install): Likewise.

2005-02-22  Raja R Harinath  <rharinath@novell.com>

	* library.make (BUILT_SOURCES_cmdline): Don't define if
	BUILT_SOURCES is empty.

2005-02-21  Michal Moskal  <malekith@pld-linux.org>
	    Raja R Harinath  <rharinath@novell.com>

	* config-default.make (exec_prefix, libdir): New.
	* library.make (libdir): Remove.
	* executable.make (PROGRAM_INSTALL_DIR): Define in terms of
	$(libdir).

2005-02-15  Raja R Harinath  <rharinath@novell.com>

	* platforms/win32.make (RESGEN): Point to in-tree version of
	resgen.exe.  The .NET 1.1 SDK doesn't appear to come with one.

2005-02-10  Raja R Harinath  <rharinath@novell.com>

	* library.make (DISTFILES): Add $(btest_sourcefile).

2005-02-02  Raja R Harinath  <rharinath@novell.com>

	* library.make (run-test-lib): Use $(LOCAL_TEST_HARNESS_FLAGS).
	(run-test-ondotnet-lib): Use $(LOCAL_TEST_HARNESS_ONDOTNET_FLAGS).

2005-02-01  Zoltan Varga  <vargaz@freemail.hu>

	* library.make (run-test-lib): Exclude InetAccess tests.

2005-02-30  Sebastien Pouliot  <sebastien@ximian.com>

	* library.make: Exclude CAS category from run-test-ondotnet.

2005-01-31  Sebastien Pouliot  <sebastien@ximian.com>

	* library.make: Exclude CAS category when running unit tests with 
	Mono (they can be run manually using --security). Added a define
	for WINDOWS (only on Windows) to be used for declarative security
	attributes ONLY.

2005-01-24  Raja R Harinath  <rharinath@novell.com>

	* library.make (run-test-lib, run-test-ondotnet-lib): Print out
	the log.

2005-01-16 Nick Drochak  <ndrochak@ieee.org>

	* library.make: /exclude for nunit needs a comma separated list

2005-01-14  Atsushi Enomoto  <atsushi@ximian.com>

	* library.make : output TestResult-ondotnet-(profile).log instead of
	  TestResult-(profile).log for run-test-ondotnet.

2005-01-13  Raja R Harinath  <rharinath@novell.com>

	* profiles/default.make (MBAS) [!PLATFORM_MONO_NATIVE]: Use
	$(EXTERNAL_MBAS).
	Reported by Nick Drochak.

2005-01-03  Nick Drochak  <ndrochak@ieee.org>

	* library.make: Ingore tests that are not meant to be run on MS DotNet

2004-12-14  Raja R Harinath  <rharinath@novell.com>

	* profiles/basic.make (do-profile-check): Rename from
	'real-profile-check'.  Rewrite slightly to use 'make' to build the
	sanity check.
	(clean-profile): Remove the files.

2004-12-08  Raja R Harinath  <rharinath@novell.com>

	* profiles/basic.make (real-profile-check): Update to new location
	of secret stash of bootstrap files.

2004-12-07  Raja R Harinath  <rharinath@novell.com>

	* executable.make (uninstall-local): Remove .config file too.
	* library.make (uninstall-local): Don't error out if GACUTIL fails.

2004-12-07  Raja R Harinath  <rharinath@novell.com>

	* library.make (BUILT_SOURCES_cmdline): Use
	PLATFORM_CHANGE_SEPARATOR_CMD on BUILT_SOURCES too.
	($(the_lib)): Use it.

2004-12-04  Atsushi Enomoto  <atsushi@ximian.com>

	* library.make,
	  profiles/default.make,
	  profiles/basic.make : use PLATFORM_PATH_SEPARATOR.

2004-12-03  Raja R Harinath  <rharinath@novell.com>

	* profiles/basic.make (MCS): Run the INTERNAL_MCS.
	(USE_BOOT_COMPILE): Remove.

2004-12-03  Raja R Harinath  <rharinath@novell.com>

	* library.make (gacdir_flag): New.  Disable /gacdir flag if
	RUNTIME_HAS_CONSISTENT_GACDIR flag is set.
	(install-local): Use it.

2004-11-30  Raja R Harinath  <rharinath@novell.com>

	* executable.make (makefrag): Make profile-specific.

2004-11-26  Martin Baulig  <martin@ximian.com>

	* library.make (run-test-lib, run-test-ondotnet-lib): Added
	`/output:TestResult-$(PROFILE).log' argument to NUnit.

2004-11-26  Raja R Harinath  <rharinath@novell.com>

	* library.make ($(the_lib)): Don't complain if a .mdb file wasn't
	created (even though it's just a warning).
	(install-local) [LIBRARY_INSTALL_DIR]: Likewise.
	(PACKAGE): Remove.
	(install-local) [!LIBRARY_INSTALL_DIR]: Use $(FRAMEWORK_VERSION).
	* executable.make ($(PROGRAM)): Likewise.
	(install-local): Likewise.
	(PROGRAM_INSTALL_DIR): Define Using $(FRAMEWORK_VERSION).

2004-11-26  Raja R Harinath  <rharinath@novell.com>

	* profiles/basic.make (real-profile-check): Prepend ./ when
	executing basic-profile-check.exe.  EXTERNAL_RUNTIME can be empty.

2004-11-25  Raja R Harinath  <rharinath@novell.com>

	* platforms/linux.make (EXTERNAL_MCS,EXTERNAL_MBAS,EXTERNAL_RUNTIME):
	New.
	* platforms/win32.make: Likewise.
	* profiles/basic.make: Use $(EXTERNAL_MCS).
	* profiles/net_1_1_bootstrap.make: Likewise.
	* library.make ($(the_lib)): Add support for BUILT_SOURCES.
	(run-test-lib): Pass $(TEST_HARNESS_FLAGS) to harness.  Useful to
	pass, say /labels, to nunit-console.

2004-11-25  Raja R Harinath  <rharinath@novell.com>

	* library.make ($(gacutil)): Fix path.

2004-11-23  Raja R Harinath  <rharinath@novell.com>

	* executable.make (NO_INSTALL): New option.  Disables installation.
	* library.make (NO_INSTALL): Likewise.
	(install-local) [!NO_INSTALL, !LIBRARY_INSTALL_DIR]: Pass both
	/gacdir and /root options to gacutil.
	* platforms/linux.make (platform-check): Print the BOOTSTRAP_MCS
	command that was tried, in case of failure.	
	* profiles/basic.make (NO_TEST, NO_INSTALL): Define.
	* profiles/net_1_1_bootstrap.make: Likewise.
	* profiles/net_2_0_bootstrap.make: Likewise.

2004-11-22  Raja R Harinath  <rharinath@novell.com>

	* library.make (SN): New define.  Use the net_1_1_bootstrap sn.exe.
	(SNFLAGS): New.
	($(the_lib)): Use them to sign assemblies as they're built.
	(the_lib_signature_stamp): Remove.

	* Makefile (DISTFILES): Distribute all the profile make-fragments.
	(clean-local): Clean up the deps/ directory.

2004-11-19  Raja R Harinath  <rharinath@novell.com>

	Orchestrate the bootstrap.
	* rules.make (INTERNAL_MCS): Look for mcs.exe in profile-specific directory.
	* profiles/net_1_1_bootstrap.make (BOOTSTRAP_MCS): Use mcs.exe from
	basic profile.	
	* profiles/default.make (BOOTSTRAP_MCS): Use mcs.exe from the
	net_1_1_bootstrap profile.
	* profiles/net_2_0_bootstrap.make (BOOTSTRAP_MCS): Use mcs.exe
	from default profile.
	(all-local, clean-local): New.  Copy mcs.exe from default profile,
	but customize it to work with 2.0.x libraries.
	* profiles/net_2_0.make (BOOTSTRAP_MCS): Define approprately for
	building corlib.

	* executable.make (executable_CLEAN_FILES): Clean up more files.
	($(PROGRAM)): Move .mdb files too.

2004-11-18  Atsushi Enomoto  <atsushi@ximian.com>

	* library.make: Reverted the last fix. It broke windows build (that
	  should be fixed though).

2004-11-18  Atsushi Enomoto  <atsushi@ximian.com>

	* library.make: Some minor fix for PLATFORM_PATH_SEPARATOR.

2004-11-17  Raja R Harinath  <rharinath@novell.com>

	* executable.make: Improve support for building executable into a
	different directory.

2004-11-09  Raja R Harinath  <rharinath@novell.com>

	* profiles/basic.make: New.
	* profiles/net_2_0.make (PROFILE_MCS_FLAGS): Remove '-2' flag.
	* profiles/net_1_1_bootstrap.make (NO_SIGN_ASSEMBLY): Set.

2004-11-04  Raja R Harinath  <rharinath@novell.com>

	* profiles/net_1_1_bootstrap.make: New profile.
	* profiles/net_2_0_bootstrap.make: Use in-tree mcs for
	bootstrapping mscorlib.dll.
	* platforms/linux.make (platform-check): Make more robust.
	* rules.make (%-recursive): Propagate error exit from sub-makes
	even if invoked with 'make -k'.

2004-10-29  Raja R Harinath  <rharinath@novell.com>

	* profiles/net_2_0_bootstrap.make (PROFILE_MCS_FLAGS): Remove
	-langversion:default flag.

	* rules.make (distdir): Remove.
	(PROFILE_SUBDIRS): New.  Support profile-specific SUBDIRS.
	(DIST_SUBDIRS): New.
	(dist-recursive): Define distdir here.

2004-10-25  Zoltan Varga  <vargaz@freemail.hu>

	* config-default.make (TEST_RUNTIME): Add TEST_MONO_PATH variable.

2004-09-27  Raja R Harinath  <rharinath@novell.com>

	* library.make ($(test_nunit_dep)): Make sure NUnit is built for
	the profile being tested.
	(nunit-$(PROFILE).stamp): Rename from nunit.stamp.
	* config-default.make (TEST_HARNESS): Look for 'nunit-console' in
	profile-specific directory.

2004-09-21  Raja R Harinath  <rharinath@novell.com>

	* profiles/net_2_0_bootstrap.make: New file.

	* library.make (the_mdb): Fix.
	(library_CLEAN_FILES): Add the new test results files too.

2004-09-14  Raja R Harinath  <rharinath@novell.com>

	* library.make (test_lib, btest_lib): Build separate test
	assemblies for separate profiles.
	(dist-local): Don't copy files beginning with '../'.
	(test_sourcefile, btest_sourcefile): Define in terms of
	$(test_lib) or $(btest_lib) only if they're overriden.
	(test_response, test_makefrag): Remove redundant $(PROFILE) in name.
	(run-test-lib, run-btest-lib): Unify.  Give profile-specific name
	for output XML file.
	* rules.make (dist-default): Handle any of Makefile, makefile, or
	GNUmakefile being present.
	* profiles/net_2_0.make (TEST_RUNTIME): Don't define.

2004-08-06 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* executable.make:
	* library.make: install/clean .mdb files.

2004-07-30  Martin Baulig  <martin@ximian.com>

	* executable.make (EXTRA_SOURCES): New variable to add extra
	sources to the program.

2004-07-30  Raja R Harinath  <harinath@blr-harinath.blr.novell.com>

	* executable.make (PROGRAM_config): New auto-detecting define.
	Defined if $(PROGRAM).config exists.
	(install-local): Install $(PROGRAM_config) if it exists.

2004-07-21  Lluis Sanchez Gual  <lluis@novell.com>

	* profiles/default.make, profiles/net_2_0.make, profiles/net_1_0.make:
	  Added FRAMEWORK_VERSION var.

2004-07-02  Raja R Harinath  <rharinath@novell.com>

	Support for avoiding "sharing violations" while compiling core
	libraries with an in-tree compiler.
	* library.make (LIBRARY_USE_INTERMEDIATE_FILE): New toggle.
	($(the_lib)): Use it.

2004-07-02  Raja R Harinath  <rharinath@novell.com>

	* rules.make (OVERRIDE_BARE_TARGETS): Remove.
	(OVERRIDE_TARGET_ALL): New control for overriding the default all:
	rule.  If set, 'make all' will run 'all.override' from the client
	Makefile.
	(all): Move commands ...
	(all.real): ... here.  Make ordering assumptions explicit, and
	parallel-safe.
	(test,run-test,run-test-ondotnet,clean,install,uninstall):
	Consolidate into ...
	(STD_TARGETS): ... this new variable.  Make ordering assumption
	between -recursive and -local targets explicit.
	(%-recursive): Handle W32 GNU make that has --unix as the first
	argument in $(MAKE).
	* README.makefiles (Special recursion needs): Update to reflect
	changes.
	* library.make (all-local): Build $(the_lib_signature_stamp) when
	NO_SIGN_ASSEMBLY is defined.
	($(gacutil),$(sn)): Consolidate rules.
	(test-local,run-test-local,run-test-ondotnet-local): Likewise.

2004-07-02  Raja R Harinath  <rharinath@novell.com>
	
	* config-default.make (TEST_RUNTIME): Use 'mono' by default.
	* platforms/win32.make (TEST_RUNTIME): Remove.
	* profiles/default.make (TEST_RUNTIME): Remove.

2004-06-28  Raja R Harinath  <rharinath@novell.com>

	* platforms/linux.make (RESGEN): Define using $(INTERNAL_RESGEN).

2004-06-21  Raja R Harinath  <rharinath@novell.com>

	* executable.make ($(PROGRAM)): Move depend on the makefrags ...
	(all-local): ... here.
	* library.make ($(the_lib), $(test_lib), $(btest_lib), all-local):
	Likewise.
	(LIBRARY_SNK): New default define.  Allows library to be signed
	with a key other than mono.snk.
	($(the_lib_signature_stamp)): New stamp file created when an
	assembly is signed.
	(install-local, uninstall-local, maybe-sign-lib): Set MONO_PATH.

2004-06-16  Raja R Harinath  <rharinath@novell.com>

	* library.make ($(makefrag),$(test_makefrag),$(btest_makefrag)): 
	Depend on library.make.
	* executable.make ($(makefrag)): Depend on executable.make.

2004-06-16  Atsushi Enomoto  <atsushi@ximian.com>

	* library.make : Added GACDIR. Use cygpath -w on windows.

2004-06-14  Raja R Harinath  <rharinath@novell.com>

	* platforms/linux.make (PLATFORM_CHANGE_SEPARATOR_CMD): Define to 'cat'.
	(PLATFORM_TWEAK_CORLIB_SOURCES): Remove.
	(platform-check): Avoid bash-ism.
	* library.make: Simplify uses of $(patsubst x,y,$(foo)) to $(foo:x=y).
	(core_sourcefile): Rename back to ...
	(sourcefile): ... this.  Remove creation of redundant intermediate file.
	(response): Change test for optimization, now that
	PLATFORM_CHANGE_SEPARATOR_CMD is unconditional.  Combine with
	platform-exclude handling.
	(library_CLEAN_FILES): New variable to specify clean:-able files
	close to where they're defined.
	(test_response, btest_response): Simplify.
	* executable.make (response): Change test for optimization.
	(executable_CLEAN_FILES): New define.

2004-06-14  Raja R Harinath  <rharinath@novell.com>

	* library.make (uninstall-local): Fix typo.

2004-06-11  Atsushi Enomoto  <atsushi@ximian.com>

	* library.make : HAVE_CS_TESTS fixie.

2004-06-11  Raja R Harinath  <rharinath@novell.com>

	* library.make (HAVE_CS_TESTS, HAVE_VB_TESTS): Allow to be
	overriden.  Useful if the tests sourcefile is generated.
	(TEST_COMPILE, BTEST_COMPILE): Allow these to be customized too.

	* platforms/win32.make (PLATFORM_TWEAK_CORLIB_SOURCES): Remove.

	Support enough features to build mscorlib.dll.
	* library.make (core_sourcefile): New renamed from $(sourcefile).
	(PLATFORM_excludes): Auto-detecting define that sees if
	$(LIBRARY).$(PLATFORM)-excludes file exists.
	(sourcefile): New.  Possibly-built file that removes
	PLATFORM_excluded files from core_sourcefile.
	(test_against, test_dep): New.  Allow the test assembly to be
	built against a different library.
	(test_lib): Allow makefile to override the name of the test
	assembly.
	(LIBRARY_INSTALL_DIR): If defined, switch to using $(INSTALL_LIB)
	rather than $(gacutil).
	(DISTFILES, dist-local): Use core_sourcefile.
	(clean-local): Remove sourcefile if it was generated.
	(test_lib, btest_lib): Depend on $(test_dep).

2004-06-10  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* library.make: fixed PLATFORM_CHANGE_SEPARATOR_CHAR on windows.

2004-06-09  Sebastien Pouliot  <sebastien@ximian.com>

	* library.make: Added support to fully sign assemblies when doing a
	"make install" (thanks to Jackson :-).

2004-06-09  Raja R Harinath  <rharinath@novell.com>

	Do away with stampfiles.
	Introduce support for VB test cases.
	* library.make (HAVE_CS_TESTS, HAVE_VB_TESTS): New auto-detecting
	defines.
	(stampfile, test_stampfile): Remove.
	(clean-local): Don't mention them.
	(test-local, run-test-local, run-test-ondotnet-local):
	Make unconditional.
	($(makefrag), $(test_makefrag)): Simplify.
	($(btest_lib)): New.  Support for VB testcases.

2004-06-09  Raja R Harinath  <rharinath@novell.com>

	Partial support for writing Visual Basic source files.
	* rules.make (USE_MBAS_FLAGS,BASCOMPILE,INTERNAL_MBAS): New.
	* config-default.make (MBAS_FLAGS, DEFAULT_MBAS_FLAGS): New.
	* profiles/default.make (MBAS): New.

2004-06-09  Raja R Harinath  <rharinath@novell.com>

	Do away with stampfiles.
	* executable.make (stampfile): Remove.
	(clean-local): Remove mention of $(stampfile).
	(test-local, run-test-local, run-test-ondotnet-local):
	Make unconditional.  Add dummy rule to prevent other makefiles
	from defining rules on these.
	($(PROGRAM)): Depend directly on $(BUILT_SOURCES).
	($(makefrag)): Simplify.

2004-06-03  Atsushi Enomoto  <atsushi@ximian.com>

	* README.makefiles : added description for run-test-ondotnet.

2004-06-03  Atsushi Enomoto  <atsushi@ximian.com>

	* Makefile, executable.make, library.make, rules.make :
	  Added new target "run-test-ondotnet" that works what "run-test"
	  used to be on windows (i.e. tests our libs under MS.NET).

2004-06-01  Atsushi Enomoto  <atsushi@ximian.com>

	* platforms/win32.make : TEST_RUNTIME should be always mono we can't
	  test our libs against MS.NET runtime. Think about internal call).

2004-05-30  Jackson Harper  <jackson@ximian.com>

	* library.make: Install to 2.0 package if building with the
	net_2_0 profile.
	
2004-05-26  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* library.make: reference nunti.core.dll and nunit.util.dll when
	building tests.

2004-05-26  Raja R Harinath  <rharinath@novell.com>

	* library.make (clean-local): Add $(CLEAN_FILES) too.

2004-05-25  Sebastien Pouliot  <sebastien@ximian.com>

	* library.make: changed case on nunit.framework.dll (lowercase)

2004-05-24  Raja R Harinath  <rharinath@novell.com>

	* library.make (LIBRARY_COMPILE): New define.
	($(the_lib)): Use $(LIBRARY_COMPILE) to compile $(the_lib).

	* executable.make (PROGRAM_INSTALL_DIR): Allow makefile to specify
	a different directory for installation.
	(install-local, uninstall-local): Use it.

2004-05-20  Raja R Harinath  <rharinath@novell.com>

	* profiles/default.make (TEST_RUNTIME): Look in class/lib/default
	for library to be tested.
	* rules.make (INTERNAL_RESGEN): New Define.
	* library.make (run-test-local): Move commands to run-test-lib.
	Preparartion for allowing creation of addition test dll with .vb
	testcases.
	* executable.make (PROGRAM_COMPILE): New define.
	($(PROGRAM)): Use PROGRAM_COMPILE to compile PROGRAM.

2004-05-14  Jackson Harper  <jackson@ximian.com>

	* library.make: Install package files. Get params in magical
	correct order.
	
2004-05-11  Jackson Harper  <jackson@ximian.com>

	* platforms/linux.make:
	* platforms/win32.make: Define a PLATFORM_PATH_SEPARATOR used for
	separating paths in env vars. (ie MONO_PATH).
	* profiles/net_2_0.make: Always use gmcs for building the 2.0
	libraries. corlib is the first lib built and it will build gmcs.
	
2004-05-11  Jackson Harper  <jackson@ximian.com>

	* library.make: Allow assembly names to be different then their
	.sources file names.
	
2004-05-08  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* library.make: build NUnit if we try to run 'make test' and the dll
	is not found.

2004-04-29  Jackson Harper  <jackson@ximian.com>

	* library.make: Fix uninstall
	
2004-04-29  Martin Baulig  <martin@ximian.com>

	* rules.make: Added `INTERNAL_ILASM'.

2004-04-29  Jackson Harper  <jackson@ximian.com>

	* library.make: Use RUNTIME instead of PLATFORM_RUNTIME for the
	gacutil. gacutil needs to be run on our runtime. Make dependancys
	more sane.
	
2004-04-28  Jackson Harper  <jackson@ximian.com>

	* library.make: Use the proper runtime, make sure gacutil is
	built.
	
2004-04-28  Jackson Harper  <jackson@ximian.com>

	* library.make: Install these bad actors to the GAC.
	
2004-04-28  Raja R Harinath  <rharinath@novell.com>

	* library.make (test_flags): NUnit.Framework.dll is now in
	class/lib/$(PROFILE).

2004-04-26  Jackson Harper  <jackson@ximian.com>

	* library.make:
	* profiles/bootstrap.make:
	* profiles/default.make: profiles are built in their ownb lib
	directory now.
	* profiles/net_2_0.make: new .net 2.0 profile.
	
2004-04-22  Martin Baulig  <martin@ximian.com>

	* profiles/net_1_2.make: Removed.
	* profiles/martin-generics.make: Remove.

2004-04-19  Raja R Harinath  <rharinath@novell.com>

	* rules.make (%-recursive): Honor 'make -k'.

2004-02-17  Martin Baulig  <martin@ximian.com>

	* profiles/generics.make: Renamed to `martin-generics.make' and
	added a comment to the file.  I'll rename this back when it's
	ready for public use.

2003-12-17  Jackson Harper <jackson@ximian.com>

	* profiles/default.make:
	* profiles/net_1_0.make: Add ONLY_1_0 and ONLY_1_1 defines to fix
	the build
	
2003-12-08  Peter Williams  <peter@newton.cx>

	* config-default.make: Don't check for / define
	ECHO_ESCAPE: the check isn't smart enough and
	apparently OS X's shell somehow doesn't support
	escape characters.

	* library.make: Use embedded tab instead of 
	$(ECHO_ESCAPE). Fixes OS X build.
	
	* executable.make: Same.
	
2003-12-05  Martin Baulig  <martin@ximian.com>

	* profiles/generics.make: Define `GENERICS'.

2003-12-05  Martin Baulig  <martin@ximian.com>

	* profiles/net_1_2.make: New profile; uses the .NET 1.2 API's, but
	without generics and with mcs instead of gmcs.

	* profiles/bootstrap.make: New profile; already use the newly
	compiled mcs to compile corlib.

2003-12-04  Martin Baulig  <martin@ximian.com>

	* profiles/generics.make: Use gmcs.

2003-11-12 Jackson Harper <jackson@ximian.com>

	* rules.make: 
	* platforms/linux.make: corlib name is now mscorlib.
	
2003-11-09 Ben Maurer  <bmaurer@users.sourceforge.net>

	* profiles/generics.make: add the -2 flag.

2003-10-28 Jackson Harper <jackson@ximian.com>

	* platforms/linux.make: Tell users to read INSTALL.txt not the
	non-existant README.building.
	
2003-10-22  Dick Porter  <dick@ximian.com>

	* platforms/win32.make:
	* platforms/linux.make:
	* rules.make: Added RESGEN platform-specific tool.

2003-08-03  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* config-default.make: the /nowarn arguments are now set on a per
	library basis.

2003-07-29  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* executable.make: install-local depends on the program too.

2003-07-25  Peter Williams <peter@newton.cx>

	* rules.make (run-test): Make it depend on 'test-local'
	then 'run-test-local' after 'run-test-recursive'. This way,
	'make run-test' from the toplevel doesn't recurse through all
	the directories doing a make test before we run anything.

2003-07-24  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* rules.make: run-test depends now on 'test'.

2003-07-24  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* rules.make: set corlib to PLATFORM_CORLIB if this is defined.

2003-07-22  Peter Williams  <peter@newton.cx>

	* rules.make (withmcs): Add this developer utility target.

2003-07-20  Peter Williams  <peter@newton.cx>

	* README.platforms: Update docs for changes below.

	* platforms/win32.make (PLATFORM_CORLIB): Set this variable
	to 'mscorlib.dll', instead of $(corlib) which everything links
	against. *Almost* everything should link against our corlib --
	with the exception of corlib_cmp and corlib_res.

	* platforms/linux.make: Same here: corlib.dll

	* rules.make: Define $(corlib) here.

2003-07-20  Peter Williams  <peter@newton.cx>

	* config-default.make (TEST_RUNTIME): Use the platform runtime
	to run tests, by default.

	* profiles/default.make (TEST_RUNTIME): If our test runtime is
	mono, use the --debug flag.

	* executable.make (sourcefile): Add a basename so that we can
	find the nunit sources and so we behave a bit more like
	library.make

	* config-default.make (TEST_HARNESS): Find nunit-console in its
	new home.

2003-07-20  Peter Williams  <peter@newton.cx>

	* library.make ($(response)): Do a "Creating ..." line here.

	* executable.make ($(response)): Same.

	* config-default.make: Make warning more forceful.

	* rules.make: Define a useful 'PLATFORM_MONO_NATIVE' that is
	set if the platform does not have a native runtime (ie, linux).
	Also reorder some definitions.

2003-07-20  Peter Williams  <peter@newton.cx>

	* Created. See ../ChangeLog for entries earlier than
	this.

